- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
list_graph.h File Reference
Graph Structures
`#include <lemon/core.h>`
`#include <lemon/error.h>`
`#include <lemon/bits/graph_extender.h>`
`#include <vector>`
`#include <list>`

## Classes
class | ListDigraph
| A general directed graph structure. More...
class | ListDigraph::Snapshot
| Class to make a snapshot of the digraph and restore it later. More...
class | ListGraph
| A general undirected graph structure. More...
class | ListGraph::Snapshot
| Class to make a snapshot of the graph and restore it later. More...
class | ListBpGraph
| A general undirected graph structure. More...
class | ListBpGraph::Snapshot
| Class to make a snapshot of the graph and restore it later. More...

## Namespaces
| lemon
| The namespace of LEMON.